/* The main containers for the module, specific to this module. */
.h5p-drag-text {
    position: relative;
    background: rgba(255, 255, 255, 0.9);
    overflow: hidden;
  }
  
  .h5p-drag-text .hidden {
    display: none;
  }
  
  .h5p-drag-text .h5p-drag-inner p {
    font-size: 1em;
    font-weight: normal;
    padding: 0;
    margin: 0 0 1em;
  }
  
  .h5p-drag-text button.h5p-drag-button:before {
    font-family: 'H5PFontAwesome4';
    padding-right: 0.5em;
  }
  
  /* Button icons */
  .h5p-drag-text .h5p-drag-check-button:before {
    content: "\f058";
  }
  .h5p-drag-text .h5p-drag-retry-button:before {
    content: "\f021";
  }
  .h5p-drag-text .h5p-drag-show-solution-button:before {
    content: "\f06e";
  }
  
  /* Buttons starting state: */
  .h5p-drag-text .h5p-drag-check-button {
    display: inline-block;
  }
  .h5p-drag-text .h5p-drag-retry-button {
    display: none;
  }
  .h5p-drag-text .h5p-drag-show-solution-button {
    display: none;
  }
  
  /* Tooltip styling */
  .h5p-drag-text .joubel-tip-container {
    top: -1.1em;
    right: -0.6em;
    position: absolute;
    z-index: 4;
    font-size: 0.9em;
  }
  
  /* Feedback for dropzones */
  .h5p-drag-text .h5p-drag-correct-feedback:before {
    position: absolute;
    right: 0.5em;
    font-family: 'H5PFontAwesome4';
    content: "\f00c";
    color: #255c41;
  }
  
  .h5p-drag-text .h5p-drag-wrong-feedback:before {
    position: absolute;
    right: 0.5em;
    font-family: 'H5PFontAwesome4';
    content: "\f00d";
    color: #b71c1c;
  }
  
  /* Dropzone styling */
  .h5p-drag-text .h5p-drag-dropzone-container {
    position: relative;
    display: inline;
    padding-right: 0.1em;
  }
  .h5p-drag-text [aria-dropeffect] {
    position:relative;
    top: -0.1em;
    width: 10em;
    height: 1.25em;
    background-color: #cee0f4;
    border-radius: 0.8em;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    padding: 0.1em 1.65em 0.1em 0;
  }
  
  .h5p-drag-text [aria-dropeffect].h5p-drag-correct-feedback {
    background: #9dd8bb;
  }
  
  .h5p-drag-text [aria-dropeffect].h5p-drag-wrong-feedback {
    background: #f7d0d0;
  }
  
  .h5p-drag-text [aria-dropeffect]:before {
    line-height: 1.25;
  }
  
  /* Draggable styling */
  .h5p-drag-text .h5p-drag-draggables-container {
    position: relative;
    padding-top: 0.5em;
    display: inline-block;
  }
  
  .h5p-drag-text .h5p-drag-draggables-container.hide {
    display: none;
  }
  
  .h5p-drag-text [aria-grabbed] {
    line-height: 1.25;
    cursor: pointer;
    border-radius: 0.25em;
    padding: 0.1em 0.6em;
    margin: 0.3em;
    vertical-align: top;
    text-align: center;
    display: inline-block;
    border: 0.1em solid #c6c6c6;
    overflow: hidden;
    background: #ddd;
    box-shadow: 0 0 0.3em rgba(0,0,0,0.2);
    z-index: 3;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    border: 0.15vw solid #61c1f0 !important;
    background: #FFF;
    padding: 0.4vw 1vw;
    border-radius: 12px;
  }
  
  .h5p-drag-text [aria-grabbed='true'],
  .h5p-drag-text [aria-grabbed].h5p-drag-dropped:not(.ui-state-disabled):hover,
  .h5p-drag-text [aria-grabbed]:not(.ui-state-disabled):hover {
    border: 0.1em solid rgb(212,190,216);
    color: #663366;
    background: #edd6e9;
  }
  .h5p-drag-text [aria-grabbed].h5p-drag-dropped {
    width: 100%;
    margin: -0.1em 0 0 0;
    padding: 0.1em 0.825em;
    white-space: nowrap;
    color: #1a4473;
    border: 0.1em solid #a9c3d0;
    background: #cee0f4;
  }
  
  .h5p-drag-text [aria-grabbed='true'] {
    opacity: 0.5;
    box-shadow: 0 0 0.8em rgba(0,0,0,0.5);
  }
  .h5p-drag-text [aria-grabbed].ui-state-disabled {
    opacity: 1;
  }
  
  .h5p-drag-text .h5p-drag-dropped.h5p-drag-draggable-correct {
    padding: 0;
    color: #255c41;
    border: none;
    box-shadow: none;
    line-height: 1.5;
    background: none;
  }
  
  .h5p-drag-text .h5p-drag-dropped.h5p-drag-draggable-wrong {
    padding: 0;
    border: none;
    color: #b71c1c;
    box-shadow: none;
    line-height: 1.5;
    background: none;
  }
  
  /* Show solution container */
  .h5p-drag-text .h5p-drag-show-solution-container {
    position: relative;
    display: inline;
  }
  
  .h5p-drag-text .h5p-drag-show-solution-container.incorrect {
    color: #255c41;
    font-weight: bold;
    border: 1px #255c41 dashed;
    background-color: #d4f6e6;
    padding: 0.15em;
    border-radius: 0.25em;
    margin-left: 0.5em;
  }
  
  .h5p-drag-text .h5p-drag-droppable-words {
    line-height: 1.75;
  }
  
  .h5p-drag-text [aria-grabbed='true'] {
    z-index: 2;
  }
  
  .h5p-drag-text .h5p-drag-task {
    width: 100%;
    position: relative;
    display: inline-block;
  }
  
  /* Wide Screen css : */
  .h5p-drag-text .h5p-drag-wide-screen {
    float: right;
    padding-top: 0;
  }
  
  .h5p-drag-text .h5p-drag-draggable-wide-screen {
    display: block;
  }
  
  .h5p-drag-text [aria-dropeffect].ui-droppable.ui-droppable-disabled.ui-state-disabled{
    opacity: 1;
  }
  
  /* Use ellipsis for long draggables */
  .h5p-drag-text [aria-grabbed].h5p-drag-dropped.truncate {
    text-overflow: ellipsis;
  }
  
  .h5p-drag-text .correct-answer {
    width: 1px;
    height: 1px;
    overflow: hidden;
    display: inline-block;
    color: transparent;
  }
  
  .h5p-drag-text .h5p-question-introduction {
    outline: none;
  }
  
  
  .h5p-standalone {
      width: 80%;
  }
  
  
  .h5p-drag-droppable-words span {
      line-height: 3vw;
  }
  
  .h5p-joubelui-button {
      background: #407189;
  }


.h5p-question-buttons.h5p-question-visible {
    margin-left: 1em;
}